Subject: bug#37790: MANPATH missing from non-default profile

From: zimoun <[email-masked]>
Date: Thu, 3 Mar 2022 09:32:50 +0100

Hi Maxim,

On Thu, 3 Mar 2022 at 07:26, Maxim Cournoyer <[email-masked]> wrote:

> tags 37790 notabug

>From my understanding, it is a "bug" as explained here:

1: <https://issues.guix.gnu.org/37790#2>

Or at least an inconvenient behaviour. :-)

> >> I agree it’s inconvenient, but how would you add an exception?
> >
> > I'm not too sure how Guix works here, but what about when building the
> > profile, systematically populating etc/profile with MANPATH=...?
>
> I don't think special casing ~/.guix-profile like this, polluting other
> profiles is a good idea.

It appears to me the contrary, no?  That ~/.guix-profile is special here.

Well, using a multi-profiles style management, it appears to me
adequate to install "man" (or man-db) once, i.e.,  in one profile say
~/.cache/guix/profiles/utilities, and then install other packages, say
git, in another profile, say ~/, .cache/guix/profiles/tools, etc.

With the current design, each profile other than ~/.guix-profile
requires 'man-db' which seems unfortunate, non?

Cheers,
simon